package lt.bit.draudimas.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;

import lt.bit.draudimas.entities.User;

@Service
public class SecUserService implements UserDetailsService{

	@Autowired
	UserService userService;
	
	@Override
	public UserDetails loadUserByUsername(String username) throws UsernameNotFoundException {
		User user=userService.findByUsername(username);
		if (user==null) {
			throw new UsernameNotFoundException("Vartotojas nerastas");
		}
		
		return new SecUserDetails(user);
	}

}
