package lt.bit.draudimas.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.stereotype.Service;

import lt.bit.draudimas.entities.User;
import lt.bit.draudimas.repositories.UserRepository;

@Service
public class UserService {
	
	@Autowired
	private UserRepository userRepository;
	
	public User findByUsername(String username) {
		return userRepository.findByUsername(username);
	}
	
	public User findByEmail(String email) {
		return userRepository.findByEmail(email);
	}
	
	public User addUser(User user) {
		user.setPassword( (new BCryptPasswordEncoder()).encode(user.getPassword()));
		return userRepository.save(user);
	}

}
